
import { useAjax } from '@/Hook/useAjax'
import { PromotedObjectType } from '@/services/launchAdq/enum'
import { Col, Row, Input, Select, Button, message } from 'antd'
import React, { useEffect, useState, useCallback } from 'react'
import TableData from '../../components/TableData'
import tableConfig from './tableConfig'
import { putAdqAdgroupsSync, getAdqAdgroupsList } from '@/services/launchAdq/adq'

function Ad(props: { accountId: string, adAccountId: string ,userId:string}) {
    let { accountId, adAccountId,userId } = props
    // api方法
    const listAjax = useAjax((params) => getAdqAdgroupsList(params), { formatResult: true })
    const syncAjax = useAjax((adAccountId) => putAdqAdgroupsSync(adAccountId))
    console.log('创意=====》')
    useEffect(() => {
        getList({ pageNum: 1, pageSize: 20 })
    }, [accountId,userId])
    // 获取列表
    const getList = useCallback((params: {
        pageNum: number;
        pageSize: number;
        accountId?: string;
        adcreativeName?: string;
    }) => {
        if (!params.adcreativeName || params.adcreativeName !== listAjax?.params[0]?.adcreativeName) {
            !params.adcreativeName && delete params.adcreativeName
            listAjax.run({ ...params,userId, accountId })
        }
    }, [accountId,userId,listAjax])
    // 同步 
    const sync = useCallback(() => {
        if(!adAccountId){
            message.error('请先选择要同步的广点通账号!')
            return
        }
        syncAjax.run({adAccountId}).then(res => {
            res && listAjax.refresh()
            res ? message.success('同步成功！') : message.error('同步失败！')

        })
    }, [adAccountId, listAjax])
    return <div>
        <TableData
            columns={tableConfig}
            ajax={listAjax}
            syncAjax={sync}
            dataSource={listAjax?.data?.data?.records}
            loading={listAjax?.loading || syncAjax?.loading}
            scroll={{ x: 2500 }}
            total={listAjax?.data?.data?.total}
            page={listAjax?.data?.data?.current}
            pageSize={listAjax?.data?.data?.size}
            myKey={'adgroupId'}
            leftChild={<>
                <Row gutter={[10, 10]}>
                    <Col>
                        <Input
                            placeholder='广告名称'
                            allowClear
                            onBlur={(e) => {
                                let value = e.target.value
                                getList({ pageNum: 1, pageSize: 20, adcreativeName: value })
                            }}
                            onKeyDownCapture={(e: any) => {
                                let key = e.key
                                if (key === 'Enter') {
                                    let value = e.target.value
                                    getList({ pageNum: 1, pageSize: 20, adcreativeName: value })
                                }
                            }}
                            onChange={(e) => {
                                let value = e.target.value
                                if (!value) {
                                    getList({ pageNum: 1, pageSize: 20, adcreativeName: value })
                                }
                            }}
                        />
                    </Col>
                    <Col>
                        <Select placeholder='推广目标选择' style={{ minWidth: 200 }} showSearch filterOption={(input: any, option: any) =>
                            (option!.children as unknown as string).toLowerCase().includes(input.toLowerCase())
                        } allowClear onChange={(value: any) => {
                            getList({ pageNum: 1, pageSize: 20, accountId })
                        }}>
                            {
                                Object.keys(PromotedObjectType).map(key => {
                                    // let obj = JSON.parse(PromotedObjectType[key])
                                    return <Select.Option value={key} key={key}>{PromotedObjectType[key]}</Select.Option>
                                })
                            }
                        </Select>
                    </Col>
                </Row>
            </>}
            onChange={(props: any) => {
                // let { sortData, pagination } = props
                // let { current, pageSize } = pagination
                // getList({ pageNum: current, pageSize })
            }}
        />
    </div>
}
export default Ad