import { AdStatusEnum, ConfiguredStatusEnum, OptimizationGoalEnum, PromotedObjectType } from '@/services/launchAdq/enum'
import React from 'react'
import { Badge, Switch } from 'antd'
function tableConfig():any{
    return [
        {
            title: '所属账号',
            dataIndex: 'accountId',
            key: 'accountId',
            align: 'center',
            width:90,
            fixed:'left',
            render:(a:string)=>{
                return <a>{a}</a>
            }
        },
        {
            title: '广告ID',
            dataIndex: 'adgroupId',
            key: 'adgroupId',
            align: 'center',
            width:100,
            fixed:'left',
            render:(a:string)=>{
                return <a>{a}</a>
            }
        },
        {
            title: '所属计划ID',
            dataIndex: 'campaignId',
            key: 'campaignId',
            align: 'center',
            width:100,
            fixed:'left',
            render:(a:string)=>{
                return <a>{a}</a>
            }
        },
        {
            title: '广告名称',
            dataIndex: 'adgroupName',
            key: 'adgroupName',
            align: 'center',
            width:300,
        },
        {
            title: '推广目标类型',
            dataIndex: 'promotedObjectType',
            key: 'promotedObjectType',
            align: 'center',
            width:130,
           render:(a: string | number)=>{
            return PromotedObjectType[a]
           } 
        },
        {
            title: '广告优化目标类型',
            dataIndex: 'optimizationGoal',
            key: 'optimizationGoal',
            align: 'center',
            width:130,
           render:(a: string | number)=>{
            return OptimizationGoalEnum[a]
           } 
        },
        {
            title: '投放日期',
            dataIndex: 'beginDate',
            key: 'beginDate',
            align: 'center',
            width:160,
            render:(a: string,b: { endDate: string })=>{
                return b?.endDate ? a+'~'+b.endDate : a+'~'+'长期投放'
            }
        },
        {
            title: '首日开始投放时间',
            dataIndex: 'firstDayBeginTime',
            key: 'firstDayBeginTime',
            align: 'center',
            width:130,
        },
        {
            title: '广告出价(分)',
            dataIndex: 'bidAmount',
            key: 'bidAmount',
            align: 'center',  
            width:130,
        },
        {
            title: '广告组日预算(分)',
            dataIndex: 'dailyBudget',
            key: 'dailyBudget',
            align: 'center',  
            width:130,
        },
        {
            title: '是否开启自动版位功能',
            dataIndex: 'automaticSiteEnabled',
            key: 'automaticSiteEnabled',
            align: 'center', 
            width:150,
            render: (a: any, b: any) => {
                return a? '开' : '关'
            }
        },
        {
            title: '是否已删除',
            dataIndex: 'isDeleted',
            key: 'isDeleted',
            align: 'center',
            width:100,
            render: (a: any, b: any) => {
                return  <Badge status={!a ? "processing" :"error" } text={a? '是' : '否'} />
            }
        },
        {
            title: '创建时间',
            dataIndex: 'createdTime',
            key: 'createdTime',
            align: 'center',
            width:160,
        },
        {
            title: '客户设置的状态',
            dataIndex: 'configuredStatus',
            key: 'configuredStatus',
            align: 'center',
            width:130,
            render:(a:string)=>{
                return  <Badge status={a==='AD_STATUS_NORMAL' ? "processing" :"error" } text={ConfiguredStatusEnum[a]} />
            }
        },
        {
            title: '广告状态',
            dataIndex: 'status',
            key: 'status',
            align: 'center',
            width:70,
            fixed:'right',
            render:(a:string)=>{
                return AdStatusEnum[a]
            }
        },
    ]
}
export default tableConfig